Bug Hunting Session
Bug 75363 - FILEOPEN: .doc file not viewed correctly
Summary: FILEOPEN: .doc file not viewed correctly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2014-02-22 11:12 UTC by Jean-Marc.DREZET
Modified: 2018-09-10 10:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
http://www.cgedd.fr/prix-immobilier-friggit.doc (1.77 MB, application/pdf)
2014-02-22 12:44 UTC, Jean-Marc.DREZET
Details
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side (505.48 KB, image/png)
2017-10-05 21:03 UTC, Gabor Kelemen
Details
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side - page 2 (641.54 KB, image/png)
2017-10-05 21:04 UTC, Gabor Kelemen
Details
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side - page 3 (755.11 KB, image/png)
2017-10-05 21:04 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Marc.DREZET 2014-02-22 11:12:45 UTC
This document

http://www.cgedd.fr/prix-immobilier-friggit.doc

caanot be viewed correctly.
Comment 1 tommy27 2014-02-22 11:52:09 UTC
please post a comparative screenshot of the document viewed in MS Office vs LibO or upload a PDF version which resembles the original .doc file
Comment 2 Jean-Marc.DREZET 2014-02-22 12:44:37 UTC
Created attachment 94565 [details]
http://www.cgedd.fr/prix-immobilier-friggit.doc

the attached file document.pdf contains pages 2,3,4 of 

http://www.cgedd.fr/prix-immobilier-friggit.doc

viewed using openoffice (pages 1 to 3) and viewed using libreoffice 4.2.1 (pages 4 to 6)
Comment 3 tommy27 2014-02-22 15:10:32 UTC
so basically you are complaining that LibO doesn't shows the graphs, isn't it?

I tried under Win7x64 and both 4.1.5.3 and 4.2.0.4 show graphs which look very similar to the corrensponding pages of the PDF.

maybe a Linux specific issue?
Comment 4 sophie 2014-02-26 14:41:19 UTC
Hi, both document are .doc files, but Mario is speaking about graphs, I can see that some are empty and others not displayed correctly with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b Ubuntu 13.10. 
Set as New - Sophie
Comment 5 Jean-Marc.DREZET 2014-04-11 06:30:57 UTC
The bug is still present in version 4.2.3.3.
Comment 6 Jean-Marc.DREZET 2014-08-07 13:08:01 UTC
The bug is still present in version 4.3.0.4, but in another way.

This time it is possible to open the file and view it, but it is very slow. And while doing this, X uses a lot of memory and CPU.

On windows XP, libreoffice crashes.
Comment 7 QA Administrators 2015-09-04 02:49:11 UTC Comment hidden (obsolete)
Comment 8 Jean-Marc.DREZET 2015-09-04 09:13:05 UTC
The bug is still present

( version 5.0.1.2 on linux slackware64 , downloaded from libreoffice.org, and version 5.0.2.0+ recompiled for slackware64 by Eric Hameleers )
Comment 9 QA Administrators 2016-09-20 10:28:56 UTC Comment hidden (obsolete)
Comment 10 Jean-Marc.DREZET 2016-09-21 04:09:20 UTC
The doc file cannot be seen correctly with version 5.2.1, on linux with slackware64-current

version 3.3.0rc4 does not work on slackware64-current
Comment 11 Timur 2016-09-22 15:22:26 UTC
Bug 75363 and Bug 80503 are the same, prix-immobilier-friggit.doc in Linux. I suggest this one be closed as a duplicate.
Comment 12 Jean-Marc.DREZET 2016-10-01 08:13:10 UTC
The bug is still present in 5.2.2
Comment 13 Gabor Kelemen 2017-10-05 21:03:35 UTC
Created attachment 136788 [details]
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side

In 5.4 the rendering looks mostly good except the background grid.

In 6.0 alpha (from yesterday at commit 5c977ea903b26471877eecaad63766f5e70fd0b2 ) the grid is in place, with other elements looking pretty similar to the uploaded pdf.
 
Scrolling the document on the other hand is significantly slower than in 5.4 - maybe a similar problem to bug #45820.
A slightest move of the mouse wheel results in several seconds of unresponsiveness from the LO window.
Comment 14 Gabor Kelemen 2017-10-05 21:04:01 UTC
Created attachment 136789 [details]
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side - page 2
Comment 15 Gabor Kelemen 2017-10-05 21:04:26 UTC
Created attachment 136790 [details]
Screenshot of the document in LO 5.4.1 and 6.0 alpha side by side - page 3
Comment 16 Bartosz 2018-09-08 19:49:28 UTC
I cannot find any issue with displaying under LibreOffice 6.0 (except slow performance which is another bug).
Could you please describe what is displayed incorrectly?
Comment 17 Xisco Faulí 2018-09-10 10:00:06 UTC
(In reply to Bartosz from comment #16)
> I cannot find any issue with displaying under LibreOffice 6.0 (except slow
> performance which is another bug).
> Could you please describe what is displayed incorrectly?

I do confirm the images are displayed correclty in

Version: 6.2.0.0.alpha0+
Build ID: 433fce6571d4b9121374047324a7d2d2722ac3e4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Bartosz, is there a report for the slowness? If so, which one is it?

Closing this one as RESOLVED WORKSFORME
Comment 18 Jean-Marc.DREZET 2018-09-10 10:25:45 UTC
It seems that the document can be viewed correctly now (I am using LibreOffice 6.1.0). But also very slowly